## org.jdom.filter
Interface Filter

All Known Implementing Classes:
  ElementFilter, ContentFilter

public interface Filter

Classes which wish to modify the behaviour of the FilterList can implement the list filter interface in order to reduce the visibility of certain items in the list, or to restrict the mutability of the list.

Version:
  $Revision: 1.1 $, $Date: 2002/03/12 06:53:57 $
Author:
  Jools Enticknap, Bradley S. Huffman

Method Summary
`boolean` `canAdd(java.lang.Object obj)` Check to see if the object can be added to the list.
`boolean` `canRemove(java.lang.Object obj)` Check to see if the object can be removed from the list.
`boolean` `matches(java.lang.Object obj)` Check to see if the object matches a predefined set of rules.

Method Detail

### canAdd

    public boolean canAdd(java.lang.Object obj)

  Check to see if the object can be added to the list.

  Parameters:
    `obj` - The object to verify.
  Returns:
    `true` if the object can be added.

### canRemove

    public boolean canRemove(java.lang.Object obj)

  Check to see if the object can be removed from the list.

  Parameters:
    `obj` - The object to verify.
  Returns:
    `true` if the object can be removed.

### matches

    public boolean matches(java.lang.Object obj)

  Check to see if the object matches a predefined set of rules.

  Parameters:
    `obj` - The object to verify.
  Returns:
    `true` if the object matches a predfined set of rules.

Copyright © 2002 Jason Hunter, Brett McLaughlin. All Rights Reserved.